Bug 1731339 - Add validation to not use Ansible scap policy and puppet scap policy deployments together
Summary: Add validation to not use Ansible scap policy and puppet scap policy deployme...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: Ondřej Pražák
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 07:33 UTC by Sanket Jagtap
Modified: 2019-10-22 19:51 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-foreman_openscap-1.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27358 'Normal' 'Closed' 'Add validation to not use Ansible scap policy and puppet scap policy deployments together ' 2019-12-06 07:49:35 UTC

Description Sanket Jagtap 2019-07-19 07:33:55 UTC
Description of problem:
Satellite 6.6 has scap policy deployment via , ansible. 
When you have puppet scap and ansible scap setup on same box, you are most likely to hit this bug


Version-Release number of selected component (if applicable):
Satellite 6.6 snap11

How reproducible:
Always

Steps to Reproduce:
1. Create a puppet scap rhel7 policy and associate a hostgroup
2. Go to Configure -> Classes See that the hostgroup is associated with foreman_scap_client class
3. Create a ansible scap policy associate the same hostgroup with it.
4. Go to Configure -> Classes See that the hostgroup is associated with foreman_scap_client class

Actual results:
The foreman_scap_client is not disassociated with foreman_scap_client, this now breaks any future puppet scap deployments

Expected results:
The hostgroup should not be disassociated

Additional info:

Comment 2 Sanket Jagtap 2019-07-19 07:36:44 UTC
typo fix :

Actual results:
The foreman_scap_client is now disassociated with hostgroup, this now breaks any future puppet scap deployments

Comment 3 Sanket Jagtap 2019-07-19 07:43:02 UTC
After discussions, Having puppet and ansible manage single set of hosts is not supported and will bring in more problems. 

Having said that, Converting this BZ as a means to add validation check, so that we don't end up in above scenario.

Comment 6 Ondřej Pražák 2019-07-22 06:33:30 UTC
Created redmine issue https://projects.theforeman.org/issues/27358 from this bug

Comment 7 Bryan Kearney 2019-08-05 16:03:30 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 8 Bryan Kearney 2019-08-05 16:03:32 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 9 Sanket Jagtap 2019-08-19 07:00:40 UTC
Build: Satellite 6.6 snap 16 


Steps: 
1. A hostgroup associated with puppet scap deployment
2. A Host associated with puppet scap deployment
3. Tried associated ansible scap deployment to Hostgroup and Host.


Got Validation error : Unable to save
cannot assign to RHEL 7 Server 64-bit HG, all assigned policies must be deployed in the same way

Comment 10 Bryan Kearney 2019-10-22 19:51:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.